
// ScrollDialogMFCView.h : interface of the CScrollDialogMFCView class
//

#pragma once

#include "resource.h"


class CScrollDialogMFCView : public CFormView
{
protected: // create from serialization only
	CScrollDialogMFCView();
	DECLARE_DYNCREATE(CScrollDialogMFCView)

public:
	enum{ IDD = IDD_SCROLLDIALOGMFC_FORM };

// Attributes
public:
	CScrollDialogMFCDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CScrollDialogMFCView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	CButton m_cbTop;
	CButton m_cbBottom;

	void ScrollToWindow(CWnd *pWnd);

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnScrollTop();
	afx_msg void OnScrollBottom();
#ifdef FIX_CSCROLLVIEW_PROBLEM
	afx_msg LRESULT OnPrintClient(WPARAM wp, LPARAM lp);
#endif
};

#ifndef _DEBUG  // debug version in ScrollDialogMFCView.cpp
inline CScrollDialogMFCDoc* CScrollDialogMFCView::GetDocument() const
   { return reinterpret_cast<CScrollDialogMFCDoc*>(m_pDocument); }
#endif

